Bug 129593 - config file /etc/sysconfig/selinux incorrect about "disabled" option
config file /etc/sysconfig/selinux incorrect about "disabled" option
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-10 15:11 EDT by Karsten Wade
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-06 03:24:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2004-08-10 15:11:55 EDT
Description of problem:

The current text is incorrect since changes to sysvinit allows for
true disabling of SELinux on boot.

Where it reads:

#       disabled - No SELinux policy is loaded.

It should instead read:

#       disabled - SELinux is fully disabled.

AIUI, this is true for the latest FC2 kernels, and for FC3test1.

There are other locations this might matter, such as the policy.spec
file in each policy package has a hard coded version of the same file
which it echos into /etc/selinux/config if it doesn't exist already.

Version-Release number of selected component (if applicable):

filesystem-2.2.4-1
kernel-2.6.7-1.478
selinux-policy-targeted-1.14.1-5
selinux-policy-strict-1.14.1-5
Comment 1 Paul Nasrat 2004-08-11 06:07:27 EDT
Commited to HEAD it'll get picked up on next build
Comment 2 Karsten Wade 2004-08-23 17:08:26 EDT
Looks good, saw it in a recent build; thanks.

Assume since it's your bug, protocol is you move it to the next step?

Note You need to log in before you can comment on or make changes to this bug.